package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.ComponentsLibrary;
import io.lettuce.core.metrics.CommandMetrics;

import java.util.List;

/**
 * 红外遥控组件库Mapper接口
 * 
 * @author liming
 * @date 2023-07-12
 */
public interface ComponentsLibraryMapper extends BaseMapper<ComponentsLibrary> {
    /**
     * 查询红外遥控组件库
     * 
     * @param id 红外遥控组件库主键
     * @return 红外遥控组件库
     */
    public ComponentsLibrary selectComponentsLibraryById(Long id);

    /**
     * 查询红外遥控组件库列表
     * 
     * @param componentsLibrary 红外遥控组件库
     * @return 红外遥控组件库集合
     */
    public List<ComponentsLibrary> selectComponentsLibraryList(ComponentsLibrary componentsLibrary);

    /**
     * 新增红外遥控组件库
     * 
     * @param componentsLibrary 红外遥控组件库
     * @return 结果
     */
    public int insertComponentsLibrary(ComponentsLibrary componentsLibrary);

    /**
     * 修改红外遥控组件库
     * 
     * @param componentsLibrary 红外遥控组件库
     * @return 结果
     */
    public int updateComponentsLibrary(ComponentsLibrary componentsLibrary);

    /**
     * 删除红外遥控组件库
     * 
     * @param id 红外遥控组件库主键
     * @return 结果
     */
    public int deleteComponentsLibraryById(Long id);

    /**
     * 批量删除红外遥控组件库
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteComponentsLibraryByIds(Long[] ids);
}
